## argyll 2.0.0%2Brepack

=== debian/changelog ===
argyll (2.0.0+repack-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:36 +0000

argyll (2.0.0+repack-1) unstable; urgency=medium

  * Switch from repack to Files-Excluded.
  * Refresh patches.
  * Change to my new email address.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Remove duplicates Priority fields.
    - Requested versions are lesser as there are in old-stable:
      + Remove dpkg amd dpkg-dev from (Build|Pre)-Depends.
      + Remove versions from Recommend udev.
      + Remove Replaces & Breaks argyll from argyll-ref.
  * debian/rules:
    - Add script to remove executable flag from upstream source.
  * Declare compliance with Debian Policy 4.1.2.0 (No changes needed).
  * Change to secure URI.
    - Homepage in debian/copyright, debian/watch and debian/control.
  * debian/patches/0130_openssl.patch:
    - Switch from SSLv23_client_method to TLS_client_method (Closes: #871427).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 01 Dec 2017 10:35:30 +0100

argyll (1.9.2+repack-2) unstable; urgency=medium

  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.1. (No changes needed).
  * debian/copyright:
    - Add 2017 to debian/*.
  * debian/control:
    - Remove dh-autoreconf.
      + Not longer needed since debhelper compatibility level >= 10.
  * debian/rules:
    - For better handling replace dpkg-parsechangelog with SOURCE_DATE_EPOCH
      from pkg-info.mk.
  * New patch 0130_openssl.patch:
    - Enable all ssl connections since openssl provides only connetions with
      TLS1.2 or greater (Closes: #871427).
  * Use the automatic debug symbol packages:
    - Remove argyll-dbg section from debian/control.
    - Use --dbgsym-migration at override_dh_strip from debian/rules.
  * Refresh patches:
    - 0100_spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 31 Aug 2017 06:49:06 +0200
