=== debian/watch ===
version=4

#opts="dversionmangle=s/\+repack\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
opts=dversionmangle=s/\+repack(.*)//,repacksuffix=+repack,compression=xz \
https://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
