=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Standards-Version: 4.1.2.0
Build-Depends:
 debhelper (>= 10),
 jam,
 libjpeg-dev,
 libpng-dev,
 libssl-dev,
 libtiff5-dev,
 libtool,
 libusb-1.0-0-dev,
 libx11-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxss-dev,
 libxxf86vm-dev,
 x11proto-scrnsaver-dev,
 x11proto-xf86vidmode-dev,
 zlib1g-dev
Homepage: https://www.argyllcms.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git

Package: argyll
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, argyll-ref
Recommends: libpam-systemd [linux-any], udev [linux-any]
Suggests: argyll-doc, colord, gir1.2-colordgtk-1.0
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-ref
Architecture: all
Depends: ${misc:Depends}
Description: Color Management System, calibrator and profiler (data files)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the data files for argyll.

Package: argyll-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Color Management System, calibrator and profiler (documentation)
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 .
 This package contains the documentation for argyll.
