## argyll 2.0.1+repack

=== debian/changelog ===
argyll (2.0.1+repack-2) unstable; urgency=medium

  * Moved repository back to Salsa.
  * Rules-Requires-Root: no
  * d/clean generated file.
  * DH to version 12.
  * Standards-Version: 4.5.1
  * Set myself as Maintainer (Closes: #789557).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 27 Apr 2021 20:12:54 +1000

argyll (2.0.1+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 10 in 999_GCC-10-fix patch (Closes: #957008)

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Nov 2020 23:23:35 +0100

argyll (2.0.1+repack-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches.
  * Remove obsolete /etc/hotplug/usb/Argyll.usermap (Closes: #885549).
  * Add more typos to patches/0100_spelling.patch.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * debian/rules:
    - Correct doc directory handling.
    - Remove override_dh_strip, used for debug symbol migration.
  * debian/control:
    - Switch Vcs-* to new location.
  * debian/copyright:
    - Add copyright for numlib/quadprog.*.
    - Use secure copyright format URI.
    - Correct typo.
    - Refresh copyright years.
  * Remove *.postinst, *.postrm and *.preinst. They was used for release
     1.6.3-2 and at oldstable are 1.6.3-4.
  * Remove useless debian/repack.sh.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 15 Jul 2018 22:49:02 +0200
