=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Standards-Version: 4.1.2.0
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.5.1
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  jam,
  libjpeg-dev,
  libpng-dev,
@@ -22,8 +21,9 @@
  x11proto-xf86vidmode-dev,
  zlib1g-dev
 Homepage: https://www.argyllcms.com/
-Vcs-Git: git://anonscm.debian.org/collab-maint/argyll.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/argyll.git
+Vcs-Git: https://salsa.debian.org/debian/argyll.git
+Vcs-Browser: https://salsa.debian.org/debian/argyll
+Rules-Requires-Root: no
 
 Package: argyll
 Architecture: linux-any
