=== debian/changelog ===
argyll (2.2.0+repack-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 13:19:58 +0100

argyll (2.2.0+repack-1) unstable; urgency=medium

  * New upstream release
    Thanks, Federico Grau.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Aug 2021 23:08:28 +1000
