=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 12),
  jam,
