## argyll 2.3.1%2Brepack

=== debian/changelog ===
argyll (2.3.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 16:29:58 +1000

argyll (2.3.0+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Mar 2022 19:32:34 +1100
