## argyll 2.3.1+repack

=== debian/changelog ===
argyll (2.3.1+repack-1ubuntu2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:24:32 -0500

argyll (2.3.1+repack-1ubuntu1) kinetic; urgency=medium

  * Enable build on riscv64

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Oct 2022 19:14:26 +0000
