=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 12),
  jam,
