## argyll 3.1.0+repack

=== debian/changelog ===
argyll (3.1.0+repack-1build4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:41 +0200

argyll (3.1.0+repack-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:38:16 +0000

argyll (3.1.0+repack-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:22:51 +0000

argyll (3.1.0+repack-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:03:20 +0000

argyll (3.1.0+repack-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: libtiff5-dev --> libtiff-dev.

  [ Debian Janitor ]
  * argyll-doc, argyll-ref: Added Multi-Arch: foreign,
    as suggested by the multi-arch hinter.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Dec 2023 20:39:57 +1100

argyll (2.3.1+repack-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update 0001_jam.patch to support riscv64 (Closes: #1022171)
    and loong64 (Closes: #1051190)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 12 Jul 2023 22:35:14 +0800

argyll (2.3.1+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1019120)

 -- Paul Gevers <elbrus@debian.org>  Sun, 04 Sep 2022 08:04:18 +0200
