=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libjpeg-dev,
  libpng-dev,
  libssl-dev,
- libtiff5-dev,
+ libtiff-dev,
  libtool,
  libusb-1.0-0-dev,
  libx11-dev,
@@ -18,6 +18,7 @@
  libxrandr-dev,
  libxss-dev,
  libxxf86vm-dev,
+#libyajl-dev,
  x11proto-scrnsaver-dev,
  x11proto-xf86vidmode-dev,
  zlib1g-dev
@@ -48,6 +49,7 @@
 Package: argyll-ref
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Color Management System, calibrator and profiler (data files)
  Argyll is an experimental, open source, ICC compatible color management
  system. It supports accurate ICC profile creation for scanners, CMYK
@@ -59,6 +61,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Color Management System, calibrator and profiler (documentation)
  Argyll is an experimental, open source, ICC compatible color management
  system. It supports accurate ICC profile creation for scanners, CMYK
