## argyll 3.3.0%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 12),
