## argyll 3.3.0+repack

=== debian/changelog ===
argyll (3.3.0+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2025 22:33:25 +1100

argyll (3.1.0+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Chris Hofstaedtler ]
  * UsrMerge: install udev rules into "/usr/lib/" (Closes: #1056963).

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2024 23:11:01 +0200
