=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,10 @@
 	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/linear.cal
 	sed -i 's/CREATED.*/CREATED $(CRDATE)/' $(CURDIR)/debian/tmp/usr/share/color/argyll/ref/strange.cal
 
-override_dh_installdocs:
+override_dh_installdocs-indep:
 	dh_installdocs
+	mv $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll/* $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/
+	rmdir $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License2.txt
 	rm -f $(CURDIR)/debian/argyll-doc/usr/share/doc/argyll-doc/License3.txt
@@ -51,9 +53,6 @@
 
 override_dh_compress:
 	dh_compress -X.html
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='argyll-dbg (<< 1.9.2+repack-2~)'
 
 build-manpages:
 	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." debian/tmp/usr/bin/applycal > debian/man/applycal.1
